package core.notevault.sync.synchronisation;

import core.notevault.data.sync.SyncResponse;
import core.notevault.sync.synchronisation.songs.creation.SongCreationBatchRequest;
import core.notevault.sync.synchronisation.songs.creation.SongCreationBatchResponse;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.POST;

public interface SyncService {

    @POST("/sync/songs/create")
    Call<SongCreationBatchResponse> performSongCreation(@Body SongCreationBatchRequest syncRequest);
}
